/*
 * GrantsGovConstants.java
 *
 * @author  Dan Dumitru
 * Created on 2003-08-08
 */

package gov.grants.utility;

// Sun
import java.util.ArrayList;
import java.util.List;
import java.util.Collection;

// Apache
//import org.apache.log4j.Logger;

/**
 *  TODO :: Insert class documentation here
 */
public class GrantsGovConstants {
//    final static Logger log = Logger.getLogger( GrantsGovConstants.class.getName() );
    
    public static final String DEFAULT_APP_NAME = "default";
    public static final String ROOT_DIR = "refImpl";
    public static final String TABLE_WIDTH = "780";
    public static final String TABLE_USER_WIDTH = "380";
    public static final String HR_WIDTH = "700";
    public static final String TABLE_USER_HR_WIDTH = "300";
    public static final String USER_DETAILS_KEY = "UserDetails";
    public static final String APP_NAME = "refImpl";
	public static final String APPLICATION_PROPERTIES_FILENAME = "application.properties";
   
   
    // OS Insensitive Line and File Separator
    public static final java.lang.String LINE_SEPARATOR = System.getProperty( "line.separator" );
    public static final java.lang.String FILE_SEPARATOR = System.getProperty( "file.separator" );	
	
	// Application Properties filename
	public static final java.lang.String APPLICATION_PROPERTIES =  FILE_SEPARATOR + "WEB-INF" + FILE_SEPARATOR + APPLICATION_PROPERTIES_FILENAME;
	
	// SOAP Fault Local Names
	public static final java.lang.String LOCAL_NAME_VERSION_MATCH = "VersionMismatch"; // the namespace for a SOAPEnvelope object was invalid
	public static final java.lang.String LOCAL_NAME_MUST_UNDERSTAND = "MustUnderstand"; // an immediate child element of a SOAPHeader object had its mustUnderstand attribute set to true, and the processing party did not understand the element or did not obey it
	public static final java.lang.String LOCAL_NAME_CLIENT = "Client"; // the SOAPMessage object was not formed correctly or did not contain the information needed to succeed
	public static final java.lang.String LOCAL_NAME_SERVER = "Server"; // the SOAPMessage object could not be processed because of a processing error, not because of a problem with the message itself
	
	//Agency Integration Services URI
	public static final java.lang.String AGIS_PREFIX = "agis";
	public static final java.lang.String AGIS_URI = "http://apps.grants.gov/WebServices/AgencyIntegrationServices-V1.0";

	
}// end GrantsGovConstants