package gov.grants.webSvcs.utility;

public interface GrantsGovWebSvcsMediator {


    /**
     *
     * @return possible object is
     * {@link java.lang.InputStream}
     */
    java.io.InputStream getApplication( java.lang.String grantsGovTrackingNumber );
	
	java.util.List getAttachments( java.lang.String grantsGovTrackingNumber );

    /**
     *
     * @return possible object is
     * {@link java.lang.String}
	 *
	 * Input:
	 *		<xsd:complexType name="ApplicationFilterType">
	 *			<xsd:sequence>
	 *				<xsd:element name="FilterType" type="xsd:string"/>
	 *				<xsd:element name="FilterValue" type="xsd:string"/>
	 *			</xsd:sequence>
	 *		</xsd:complexType>
	 *
	 * Output:
     */
    java.util.List getApplicationList ( java.lang.String filterType, java.lang.String filterValue) throws Exception ;

	boolean confirmApplicationDelivery( java.lang.String grantsGovTrackingNumber );

	boolean setAgencyTrackingNumber( java.lang.String grantsGovTrackingNumber, java.lang.String agencyTrackingNumber );

}
